[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

unblock xmlto/0.0.20-5



Hi,

Please unblock xmlto 0.0.20-5. It fixes two minor bugs. But both fixes
are one-liners (and safe). The debdiff is attached.

Regards, Daniel
diff -u xmlto-0.0.20/debian/changelog xmlto-0.0.20/debian/changelog
--- xmlto-0.0.20/debian/changelog
+++ xmlto-0.0.20/debian/changelog
@@ -1,3 +1,22 @@
+xmlto (0.0.20-5) unstable; urgency=low
+
+  * debian/patches/483503_postvalid_needs_noent.dpatch: Added.
+    - xmlto.in: xmllints --postvalid switch needs the --noent switch
+      to substitute entity values and avoid 'references an unknown ID'
+      errors (closes: #483503). Thanks to Daniel Burrows for the
+      report.
+
+ -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Jan 2009 20:35:14 +0100
+
+xmlto (0.0.20-4) unstable; urgency=low
+
+  * debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch: Adjusted.
+    - xmlto.in: The value of a given (string)param=value pair was not
+      parsed correctly due to a missing curly brace (closes: #513011).
+      Thanks to Max Kellermann.
+
+ -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Jan 2009 18:41:30 +0100
+
 xmlto (0.0.20-3) unstable; urgency=low
 
   * debian/control (Suggests): Added xmltex now providing passivetex
diff -u xmlto-0.0.20/debian/patches/00list xmlto-0.0.20/debian/patches/00list
--- xmlto-0.0.20/debian/patches/00list
+++ xmlto-0.0.20/debian/patches/00list
@@ -3,0 +4 @@
+483503_postvalid_needs_noent
diff -u xmlto-0.0.20/debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch xmlto-0.0.20/debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch
--- xmlto-0.0.20/debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch
+++ xmlto-0.0.20/debian/patches/499200_cannot_parse_XSLTPARAMS.dpatch
@@ -6,12 +6,16 @@
 ## DP:   'warning: failed to load external entity "XSLTPARAMS" [..]'. The patch
 ## DP:   has been suggested by Zed Pobre.
 ## DP:
+## DP: * xmlto.in: Using the --stringparam option failes because of a missing
+## DP:   opening brace. Thanks to Max Kellermann.
+## DP:
 ## DP: <URL:http://bugs.debian.org/499200>
+## DP: <URL:http://bugs.debian.org/513011>
 
 @DPATCH@
 diff -urNad trunk~/xmlto.in trunk/xmlto.in
---- trunk~/xmlto.in	2008-10-09 10:47:10.000000000 +0200
-+++ trunk/xmlto.in	2008-10-09 10:48:23.000000000 +0200
+--- trunk~/xmlto.in	2009-01-25 18:34:09.000000000 +0100
++++ trunk/xmlto.in	2009-01-25 18:34:28.000000000 +0100
 @@ -272,8 +272,8 @@
  	;;
    --stringparam)
@@ -19,7 +23,7 @@
 -	XSLTPARAMS="XSLTPARAMS --stringparam ${MYPARAM%=*}"
 -	XSLTPARAMS="XSLTPARAMS $MYPARAM#*=}"
 +	XSLTPARAMS="$XSLTPARAMS --stringparam ${MYPARAM%=*}"
-+	XSLTPARAMS="$XSLTPARAMS $MYPARAM#*=}"
++	XSLTPARAMS="$XSLTPARAMS ${MYPARAM#*=}"
  	shift 2
  	;;
    --noclean)
only in patch2:
unchanged:
--- xmlto-0.0.20.orig/debian/patches/483503_postvalid_needs_noent.dpatch
+++ xmlto-0.0.20/debian/patches/483503_postvalid_needs_noent.dpatch
@@ -0,0 +1,29 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 483503_postvalid_needs_noent.dpatch by Daniel Leidert (dale) <daniel.leidert@wgdd.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: * xmlto.in: The xmllint call uses --pistvalid switch, which may not try to
+## DP:   fetch external parsed entities and therefor can lead to errors:
+## DP:
+## DP:       IDREF attribute linkend references an unknown ID
+## DP:
+## DP:   Adding the --noent switch solves the issue.
+## DP:
+## DP: <URL:http://bugs.debian.org/483503>
+## DP: <URL:http://mail.gnome.org/archives/xml/2004-December/msg00062.html>
+
+@DPATCH@
+diff -urNad trunk~/xmlto.in trunk/xmlto.in
+--- trunk~/xmlto.in	2009-01-25 20:25:00.000000000 +0100
++++ trunk/xmlto.in	2009-01-25 20:25:44.000000000 +0100
+@@ -413,8 +413,8 @@
+ then
+   VALIDATION="${XSLT_PROCESSED_DIR}/validation-errors"
+   [ "$VERBOSE" -ge 1 ] && \
+-    echo >&2 "xmllint >/dev/null --xinclude --postvalid \"$INPUT_FILE\""
+-  xmllint >/dev/null --xinclude --postvalid "$INPUT_FILE" 2>"${VALIDATION}"
++    echo >&2 "xmllint >/dev/null --xinclude --postvalid --noent \"$INPUT_FILE\""
++  xmllint >/dev/null --xinclude --postvalid --noent "$INPUT_FILE" 2>"${VALIDATION}"
+   xmllint_status=$?
+   if [ $xmllint_status -ne 0 ]
+   then

Reply to: